summaryrefslogtreecommitdiffstats
path: root/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
index 991b89e..add68a4 100755
--- a/setup.sh
+++ b/setup.sh
@@ -73,6 +73,22 @@ case "$action" in
fi
apply playbooks/openshift-setup-apps.yml --extra-vars "$vars" "$@" || exit 1
;;
+ templates|project_templates)
+ [ -n "$1" ] || { usage 'project name should be specified...' ; exit 1; }
+
+ vars="ands_configure_project=$1"
+ shift
+
+ if [[ -n "$1" && ${1:0:1} != "-" ]]; then
+ vars="$vars ands_configure_template=$1"
+ shift
+ fi
+ apply playbooks/openshift-setup-templates.yml --extra-vars "$vars" "$@" || exit 1
+ ;;
+ adei_template)
+ vars="ands_configure_project=adei ands_configure_template=60-adei.yml*"
+ apply playbooks/openshift-setup-templates.yml --extra-vars "$vars" "$@" || exit 1
+ ;;
openshift-masters)
apply playbooks/openshift-add-masters.yml "$@" || exit 1
;;